"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.faasGraphQLConfig = exports.graphqlPlaygroundSettings = void 0;
exports.graphqlPlaygroundSettings = {
    'editor.cursorShape': 'line',
    'editor.theme': 'dark',
    'editor.reuseHeaders': true,
    'request.globalHeaders': {},
    'tracing.hideTracingResponse': false,
    'tracing.tracingSupported': true,
    'editor.fontSize': 14,
    'editor.fontFamily': 'Fira Code',
    'schema.polling.enable': false,
    'request.credentials': 'include',
};
exports.faasGraphQLConfig = {
    resolvers: ['resolvers/*', 'resolver/*'],
    playground: true,
    context: {
        sampleContextValue: 'sampleContextValue',
    },
};
