"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorInterceptor = void 0;
const ErrorInterceptor = async ({ context, info }, next) => {
    try {
        return await next();
    }
    catch (err) {
        console.error(err);
        // rethrow the error
        throw err;
    }
};
exports.ErrorInterceptor = ErrorInterceptor;
