"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainerLifeCycle = void 0;
const decorator_1 = require("@midwayjs/decorator");
const path_1 = require("path");
const core_1 = require("./lib/core");
let ContainerLifeCycle = class ContainerLifeCycle {
    async onReady(container, app) {
        const config = container
            .getConfigService()
            .getConfiguration('faasGraphQLConfig');
        const graphql = new core_1.GraphQLService(container, config);
        container.registerObject('graphql', graphql);
    }
};
ContainerLifeCycle = __decorate([
    decorator_1.Configuration({
        importConfigs: [path_1.join(__dirname, 'config')],
        namespace: 'graphql',
    })
], ContainerLifeCycle);
exports.ContainerLifeCycle = ContainerLifeCycle;
