"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tmp = exports.Ctx = void 0;
const decorator_1 = require("@midwayjs/decorator");
const MODEL_KEY = 'decorator:model';
const CONTEXT_DECORATOR_KEY = 'decorator:graphql:ctx';
function Ctx() {
    return (target, propKey) => {
        console.log('propKey: ', propKey);
        console.log('target: ', target);
        // saveModule(CONTEXT_DECORATOR_KEY, target);
        decorator_1.savePropertyMetadata(CONTEXT_DECORATOR_KEY, {
            test: 'tmp',
        }, target, propKey);
        decorator_1.Scope(decorator_1.ScopeEnum.Singleton)(target);
    };
}
exports.Ctx = Ctx;
function Tmp() {
    return target => {
        decorator_1.attachClassMetadata('X', 'tmp', target);
        console.log('target: ', target);
    };
}
exports.Tmp = Tmp;
